// x周为可zoom时间 y轴为数据value
export const dateLine = {
  chart: {
    zoomType: 'x',
  },
  xAxis: {
    type: 'datetime',
  },
  yAxis: {
    title: {
      enabled: false,
    }
  },
  legend: {
    enabled: false,
  },
};

export const dateLineStep = {
  ...dateLine,
  yAxis: {
    title: null,
    tickInterval: 1,
    max: 1,
    labels: {
      formatter() {
        return this.value === 0 ? '关' : '开';
      }
    }
  },
  plotOptions: {
    series: {
      step: 'left'
    }
  },
}
